/* pseudo.h
 *
 * Copyright (c) 2016 Ghent University
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef NUTFILTER_PSEUDO_H
#define NUTFILTER_PSEUDO_H

#include "graph_config.h"

int pseudo_reduce_matrix(int nv, INT_ADJ_MATRIX_PTR matrix);
int near_inverse_pseudo_matrix(int nv, INT_ADJ_MATRIX_PTR matrix);

int pseudo_norm_bit_vector (unsigned int b, int nv);

#endif //NUTFILTER_PSEUDO_H
